Targem Games Battle Mages 1.0 - Remote Denial of Service Vulnerability

ID EDB-ID:23805
Type exploitdb
Reporter Luigi Auriemma
Modified 2004-03-11T00:00:00


Targem Games Battle Mages 1.0 Remote Denial Of Service Vulnerability. CVE-2004-2360. Dos exploits for multiple platform

                                            source: http://www.securityfocus.com/bid/9849/info

The Battle Mages game server has been reported to be prone to a remote denial of service vulnerability. The issue is reported to present itself when the server receives incomplete client data. Specifically the affected server will attempt to read the expected data size infinitely until it is received, this may allow a remote attacker to tie up server resources and effectively deny service to legitimate users.